Subject: Re: pktgen patch available for perusal.

From: Ben Greear <[email-masked]>
Date: Fri, 03 Nov 2006 08:34:37 -0800

Robert Olsson wrote:
> Ben Greear writes:
>
>  > I'd be thrilled to have the receive logic go into pktgen, even if it was #if 0 with a comment
>  > showing how to patch dev.c to get it working.  It would make my out-of-tree patch smaller
>  > and should help others who are doing research and driver development...
>
>
>  Just an idea... RX part is pretty separate from TX. How about if we keep the 
>  this code in a small seprate optional module? It can developed into some general 
>  RX probe.
>   
It requires a hook in dev.c, or at least that is the only way I can 
think to implement it.
I don't think that hook is going to be allowed into the kernel, so the 
best I was hoping for
was to have the code in pktgen with #if 0 and let users patch their 
kernel to add the
hook...

Ben

>  Cheers.
> 						--ro
> -
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>   

-- 
Ben Greear <[email-masked]> 
Candela Technologies Inc  http://www.candelatech.com